Subject: Re: [PATCH 1/1] tty: serial: owl: Initialize lock before registering port

From: Andy Shevchenko <[email-masked]>
Date: Fri, 10 Jul 2020 19:30:22 +0300

On Fri, Jul 10, 2020 at 06:58:06PM +0300, Cristian Ciocaltea wrote:
> On Fri, Jul 10, 2020 at 03:35:42PM +0200, Greg Kroah-Hartman wrote:
> > On Fri, Jul 10, 2020 at 03:05:49PM +0300, Cristian Ciocaltea wrote:

...

> > But I think we now have a core fix for this, no need to do this in any
> > individual driver, right?  Can you test my tty-linus branch to see if
> > your change is still needed or not?
> 
> I was not aware of the alternative approach, at that time Andy
> confirmed the expected behaviour is to have a proper initialization
> of the spinlock in the driver:
> https://lore.kernel.org/lkml/[email-masked]/
> https://lore.kernel.org/lkml/CAHp75Vf8xJ2yX-11JsTDnRvZQOK+16aePcB1AUzq=[email-masked]/
> 
> I have just checked the tty-linus tree and the only related change
> seems to be f743061a85f5
> ("serial: core: Initialise spin lock before use in uart_configure_port()")
> 
> I tested it on top of 5.8.0-rc4 and I confirm it fixes the splat,

Thank you for the testing!

> however I'm a bit confused now regarding the recommended approach since
> there is at least one more commit in the tty-linux tree that still 
> handles a similar issue in the driver specific code:
> f38278e9b810 ("serial: sh-sci: Initialize spinlock for uart console")

They now should be reverted.

-- 
With Best Regards,
Andy Shevchenko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel